unit Unit8;

interface

uses
  Winapi.Windows, Winapi.Messages, System.SysUtils, System.Variants, System.Classes, Vcl.Graphics,
  Vcl.Controls, Vcl.Forms, Vcl.Dialogs, DBGridEhGrouping, ToolCtrlsEh,
  DBGridEhToolCtrls, DynVarsEh, EhLibVCL, GridsEh, DBAxisGridsEh, DBGridEh,
  Vcl.ComCtrls, Vcl.ToolWin, Data.DB, Vcl.ExtCtrls, Vcl.Imaging.pngimage,
  Vcl.StdCtrls, Vcl.Mask, DBCtrlsEh, DBLookupEh, Vcl.Buttons;

type
  TfLogin = class(TForm)
    Image1: TImage;
    Edit1: TEdit;
    Label1: TLabel;
    Panel1: TPanel;
    bbOk: TBitBtn;
    bbCancel: TBitBtn;
    Label2: TLabel;
    DBLookupComboboxEh1: TDBLookupComboboxEh;
    dsUsers: TDataSource;
    procedure FormShow(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  fLogin: TfLogin;

implementation

{$R *.dfm}

uses Unit2;

procedure TfLogin.FormShow(Sender: TObject);
begin
   if DM.tUsers.Active then
      DM.tUsers.Open;
end;

end.
